import { firestore } from "./firebase";
export declare class FieldValue {
    type: firestore.FieldValueType;
    value: any;
    constructor(type: firestore.FieldValueType, value: any);
    static serverTimestamp: () => string;
    static arrayUnion: (fields: any[]) => FieldValue;
    static arrayRemove: (fields: any[]) => FieldValue;
}
export declare class GeoPoint {
    latitude: number;
    longitude: number;
    constructor(latitude: number, longitude: number);
}
export declare const firebase: any;
export declare abstract class DocumentSnapshot implements firestore.DocumentSnapshot {
    id: string;
    exists: boolean;
    data: () => firestore.DocumentData;
    constructor(id: string, exists: boolean, documentData: firestore.DocumentData);
}
export declare function isDocumentReference(object: any): object is firestore.DocumentReference;
export declare class QuerySnapshot implements firestore.QuerySnapshot {
    docSnapshots: firestore.DocumentSnapshot[];
    forEach(callback: (result: firestore.DocumentSnapshot) => void, thisArg?: any): void;
}
